"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CAGR = void 0;
/**
 * Compound Annual Growth Rate (CAGR) is the year-over-year growth rate of an investment over a specified period of time
 *
 * @see http://www.investopedia.com/terms/c/cagr.asp
 *
 * @param beginningValue
 * @param endingValue
 * @param numOfPeriods
 * @returns
 */
function CAGR(beginningValue, endingValue, numOfPeriods) {
    const CAGR = Math.pow(endingValue / beginningValue, 1 / numOfPeriods) - 1;
    return Math.round(CAGR * 10000) / 100;
}
exports.CAGR = CAGR;
//# sourceMappingURL=CAGR.js.map