"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CAPM = void 0;
/**
 * Capital Asset Pricing Model (CAPM) describes the relationship between systematic risk, or the general perils of investing, and expected return for assets, particularly stocks.
 *
 * @see https://www.investopedia.com/terms/c/capm.asp
 * @param rf
 * @param beta
 * @param emr
 * @returns
 */
function CAPM(rf, beta, emr) {
    return rf / 100 + beta * (emr / 100 - rf / 100);
}
exports.CAPM = CAPM;
//# sourceMappingURL=CAPM.js.map