"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CI = void 0;
/**
 * Compound Interest is the interest calculated on the initial principal and also on the accumulated interest of previous periods of a deposit or loan.
 *
 * @see http://www.investopedia.com/terms/c/compoundinterest.asp
 * @param rate
 * @param numOfCompoundings
 * @param principal
 * @param numOfPeriods
 * @returns
 */
function CI(rate, numOfCompoundings, principal, numOfPeriods) {
    const CI = principal *
        Math.pow(1 + rate / 100 / numOfCompoundings, numOfCompoundings * numOfPeriods);
    return Math.round(CI * 100) / 100;
}
exports.CI = CI;
//# sourceMappingURL=CI.js.map