"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IAR = void 0;
/**
 * Inflation-adjusted return (IAR) measures the return taking into account the time period's inflation rate
 * @param investmentReturn
 * @param inflationRate
 * @returns
 */
function IAR(investmentReturn, inflationRate) {
    return 100 * ((1 + investmentReturn) / (1 + inflationRate) - 1);
}
exports.IAR = IAR;
//# sourceMappingURL=IAR.js.map