"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LR = void 0;
/**
 * Leverage Ratio (LR) is used to calculate the financial leverage of a company or individual to get an idea of the methods of financing or to measure ability to meet financial obligations.
 *
 * @see http://www.investopedia.com/terms/l/leverageratio.asp
 * @param totalLiabilities
 * @param totalDebts
 * @param totalIncome
 * @returns
 */
function LR(totalLiabilities, totalDebts, totalIncome) {
    return (totalLiabilities + totalDebts) / totalIncome;
}
exports.LR = LR;
//# sourceMappingURL=LR.js.map