interface WACCParams {
    marketValueOfEquity: number;
    marketValueOfDebt: number;
    costOfEquity: number;
    costOfDebt: number;
    taxRate: number;
}
/**
 * Weighted Average Cost of Capital (WACC) is the rate that a company is expected to pay on average to all its security holders to finance its assets.
 *
 * @see http://en.wikipedia.org/wiki/Weighted_average_cost_of_capital
 * @param param0
 * @returns
 */
export declare function WACC({ marketValueOfEquity, marketValueOfDebt, costOfEquity, costOfDebt, taxRate, }: WACCParams): number;
export {};
